# Class CLN1SectionWritableImageInfo

java.lang.Object
com.io7m.calino.vanilla.internal.CLN1SectionWritableAbstract
com.io7m.calino.vanilla.internal.CLN1SectionWritableImageInfo

All Implemented Interfaces:
  `CLNSectionWritableImageInfoType, CLNSectionWritableStandardType, CLNSectionWritableType, Closeable, AutoCloseable`

public final class CLN1SectionWritableImageInfo extends CLN1SectionWritableAbstract implements CLNSectionWritableImageInfoType
A writable image info section.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CLN1SectionWritableImageInfo(com.io7m.jbssio.api.BSSWriterProviderType inWriters, com.io7m.jbssio.api.BSSWriterRandomAccessType inWriter, CLNWriteRequest inRequest, long inIdentifier, CLNOnCloseOperationType<CLNSectionWritableType> inOnClose)`
  A writable image info section.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setImageInfo(CLNImageInfo info)`
  Set the image info.

  ### Methods inherited from class CLN1SectionWritableAbstract

  `close, identifier, offsetStart, offsetStartData, request, sectionDataChannel`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface CLNSectionWritableType

  `identifier, sectionDataChannel`

  ### Methods inherited from interface Closeable

  `close`

- ## Constructor Details

  - ### CLN1SectionWritableImageInfo

    public CLN1SectionWritableImageInfo(com.io7m.jbssio.api.BSSWriterProviderType inWriters, com.io7m.jbssio.api.BSSWriterRandomAccessType inWriter, CLNWriteRequest inRequest, long inIdentifier, CLNOnCloseOperationType<CLNSectionWritableType> inOnClose)
    A writable image info section.
    Parameters:
      `inWriters` - A writer provider
      `inWriter` - A writer
      `inRequest` - A write request
      `inIdentifier` - An identifier
      `inOnClose` - A function executed on closing

- ## Method Details

  - ### setImageInfo

    public void setImageInfo(CLNImageInfo info) throws IOException
    Description copied from interface: `CLNSectionWritableImageInfoType`
    Set the image info.
    Specified by:
      `setImageInfo` in interface `CLNSectionWritableImageInfoType`
    Parameters:
      `info` - The image info
    Throws:
      `IOException` - On errors